Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

add gemspec, and remove it from .gitignore

  • Loading branch information...
commit 682007ec556c87a5d49cd1206d4f835db2e2b112 1 parent 8c243b1
@lazylester authored
Showing with 31 additions and 1 deletion.
  1. +0 −1  .gitignore
  2. +31 −0 damerau-levenshtein.gemspec
View
1  .gitignore
@@ -1,7 +1,6 @@
*.sw?
.DS_Store
tmp
-*.gemspec
*.o
*.bundle
# rcov generated
View
31 damerau-levenshtein.gemspec
@@ -0,0 +1,31 @@
+$:.push File.expand_path("../lib", __FILE__)
+
+require "damerau-levenshtein/version"
+
+# Describe your gem and declare its dependencies:
+Gem::Specification.new do |s|
+ s.name = "damerau-levenshtein"
+ s.version = DamerauLevenshtein::VERSION
+ s.homepage = "https://github.com/GlobalNamesArchitecture/damerau-levenshtein"
+ s.license = 'MIT'
+ s.summary = %Q{Calculation of editing distance for 2 strings \
+ using Levenshtein or Damerau-Levenshtein algorithms}
+ s.description = %Q{Calculation of editing distance for 2 strings using \
+ Levenshtein or Damerau-Levenshtein algorithms}
+ s.authors = ['Dmitry Mozzherin']
+ s.email = 'dmozzherin@gmail.com'
+ s.files = `git ls-files`.split("\n")
+
+ s.add_dependency 'bundler', '~> 1.0'
+ s.add_dependency 'rake', '~> 10.0'
+ s.add_dependency 'rake-compiler', '~> 0.8'
+
+ s.add_development_dependency 'debugger', '~> 1.4'
+
+ s.add_development_dependency 'rspec', '~> 2.13'
+ s.add_development_dependency 'cucumber', '~> 1.2'
+ s.add_development_dependency 'simplecov', '~> 0.7'
+ s.add_development_dependency 'ruby-prof', '~> 0.13'
+ s.add_development_dependency 'shoulda', '~> 3.3'
+
+end
Please sign in to comment.
Something went wrong with that request. Please try again.